Subject: Re: bug#5554: 23.1; rmail-mime not decoding attachments

From: Warren Dodge <[email-masked]>
Date: Tue, 9 Feb 2010 17:09:25 -0800

>  CC: [email-masked]
>  From: Glenn Morris <[email-masked]>
>  Date: Tue, 9 Feb 2010 18:07:32 -0500
>  MIME-Version: 1.0
>  Content-Type: text/plain; charset="us-ascii"
>  
>  Warren Dodge wrote:
>  
>  > In using M-X rmail-mime it fails to properly decode attachments that
>  > work successfully with etach.el
>  >
>  > Is there work being done to enhance the functionality of rmail-mime?
>  
>  It's already been done, and Emacs 23.2 (not yet released) should do
>  better. Can you try the pretest from
>  
>  http://alpha.gnu.org/gnu/emacs/pretest/emacs-23.1.92.tar.gz
>  
>  (You cmay be able to just use the file rmailmm.el from that version
>  with 23.1, but I haven't checked that.)
>  
>  Or try the Emacs Bazaar trunk, see
>  
>  http://savannah.gnu.org/projects/emacs/
>  
>  

I built 23.1.92 and it does decode the emails I had better then 23.1

If a html block is in an email it doesn't take that into a file where
etach did. It was handy in that you could then have etach execute
firefox on the html captured in the file.

Does rmail-mime support clicking on the decoded attachments and running
an application on them?